{% set epel= salt['grains.filter_by'] ({
    'common': {
      'disabled': False,
      'testing': False,
    },
    'Amazon': salt['grains.filter_by']({
      2018: {
        'key': 'https://fedoraproject.org/static/0608B895.txt',
        'key_hash': 'sha256=16d35fa467c6efcee21d3aa068a02054b6a89a7a33bffa94db1fc141693d62a3',
        'key_name': 'RPM-GPG-KEY-EPEL-6',
        'rpm': 'http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm',
      },
      2: {
        'key': 'https://fedoraproject.org/static/352C64E5.txt',
        'key_hash': 'sha256=22f25ad95d5e8d371760815485dba696ea3002fc2c7f812f2c75276853387107',
        'key_name': 'RPM-GPG-KEY-EPEL-7',
        'rpm': 'https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm',
      },
    },
    grain='osmajorrelease',
    default='2'),
    'RedHat': salt['grains.filter_by']({
      5: {
        'key': 'https://fedoraproject.org/static/A4D647E9.txt',
        'key_hash': 'sha256=664c06f579d914f2cf25d05d4d581b8ddec77cae4f72f4020c3a9264b9d5ee71',
        'key_name': 'RPM-GPG-KEY-EPEL-5',
        'rpm': 'http://download.fedoraproject.org/pub/archive/epel/5/i386/epel-release-5-4.noarch.rpm',
      },
      6: {
        'key': 'https://fedoraproject.org/static/0608B895.txt',
        'key_hash': 'sha256=16d35fa467c6efcee21d3aa068a02054b6a89a7a33bffa94db1fc141693d62a3',
        'key_name': 'RPM-GPG-KEY-EPEL-6',
        'rpm': 'http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm',
      },
      7: {
        'key': 'https://fedoraproject.org/static/352C64E5.txt',
        'key_hash': 'sha256=22f25ad95d5e8d371760815485dba696ea3002fc2c7f812f2c75276853387107',
        'key_name': 'RPM-GPG-KEY-EPEL-7',
        'rpm': 'http://download.fedoraproject.org/pub/epel/7/x86_64/Packages/e/epel-release-7-13.noarch.rpm',
      },
      8: {
        'key': 'https://fedoraproject.org/static/352C64E5.txt',
        'key_hash': 'sha256=cd1db21a863185127f2e3b264c97fb1c6c44c316385707999041ea475c110d1c',
        'key_name': 'RPM-GPG-KEY-EPEL-8',
        'rpm': 'http://download.fedoraproject.org/pub/epel/8/Everything/x86_64/Packages/e/epel-release-8-10.el8.noarch.rpm',
      },
    },
    grain='osmajorrelease')
  },
  grain='os',
  merge=salt['pillar.get']('epel:lookup'),
  default='RedHat',
  base='common' )
-%}
